import { HostAppService } from 'tabby-core';
import { ShellProvider, Shell } from '../api';
/** @hidden */
export declare class PowerShellCoreShellProvider extends ShellProvider {
    private hostApp;
    constructor(hostApp: HostAppService);
    provide(): Promise<Shell[]>;
}
